Requesting DataCreate a Real-time Update

Create a Real-time Update

Refresh the data you need in real-time by creating a targeted update.

curl -X POST "https://api.datafiniti.co/v4/targeted-updates" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "query": "example_string",
  "num_records": 42
}'
{}
POST
/targeted-updates
POST
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Content-Typestring
Required

The media type of the request body

Options: application/json
querystring

Query to identify records for real-time update

num_recordsinteger

Number of records to update

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Body

application/json
querystring

Query to identify records for real-time update

num_recordsinteger

Number of records to update

Responses

Real-time update created successfully